# UI Suite DaisyUI

A site-builder friendly DaisyUI theme for Drupal, using the UI Suite approach.

Use DaisyUI directly from Drupal backoffice (layout builder, manage display,
views, blocks...).

## Requirements

This theme requires the following modules:

* UI Patterns 2
* UI Styles
* UI Skins
* UI Icons

This theme is using CDN hosted package of DaisyUI (version 4.12.13).

If you want to build your own DaisyUI / Tailwind CSS package, it needs to be placed in the libraries folder.

This theme also provides integration with Heroicons, icons needs to be installed / placed in the libraries folder.

## Install libraries with Composer

### Herocions with Asset Packagist

If you use the website Asset Packagist, the composer.json can be like:
```
{
    "require": {
        "composer/installers": "2.*",
        "oomphinc/composer-installers-extender": "2.*",
        "npm-asset/heroicons": "2.1.5"
    },
    "repositories": {
        "asset-packagist": {
            "type": "composer",
            "url": "https://asset-packagist.org"
        },
        "drupal": {
            "type": "composer",
            "url": "https://packages.drupal.org/8"
        }
    },
    "extra": {
        "installer-paths": {
            "app/libraries/{$name}": [
                "type:drupal-library",
                "type:bower-asset",
                "type:npm-asset"
            ]
        },
        "installer-types": [
            "bower-asset",
            "npm-asset"
        ]
    }
}
```

## Installation

Install as you would normally install a contributed Drupal theme. For further information, see [Installing Drupal Themes](https://www.drupal.org/docs/extending-drupal/themes/installing-themes).

## Configuration

The theme has no menu or modifiable settings on its own.

Configuration is provided by the UI Suite ecosystem modules.

## Maintainers

Current maintainers:
* Michael Fanini - [G4MBINI](https://www.drupal.org/u/g4mbini)


Supporting organizations:
* Dropteam - [Link company](https://www.dropteam.fr/) - [Link d.org](https://www.drupal.org/dropteam)